# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/thermal/marvell,armada370-thermal.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Marvell Armada 3xx/XP thermal management

maintainers:
  - Miquel Raynal <miquel.raynal@bootlin.com>

properties:
  compatible:
    enum:
      - marvell,armada370-thermal
      - marvell,armada375-thermal
      - marvell,armada380-thermal
      - marvell,armadaxp-thermal

  reg:
    items:
      - description: status register (4B)
      - description: control register (8B)

required:
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    thermal@d0018300 {
        compatible = "marvell,armada370-thermal";
        reg = <0xd0018300 0x4>,
              <0xd0018304 0x8>;
    };
